ResourcesSubscriptions
Confirm a plan change
Confirm a previously previewed subscription plan change.
Send the preview token from the plan-change preview response. PayPal plan changes can return an approval URL.
Authorization
bearerAuth AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
Path Parameters
productSubscription*integer
The productSubscription path parameter.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://sell.app/api/v2/subscriptions/0/actions/change-plan/confirm" \ -H "Content-Type: application/json" \ -d '{ "target_variant_id": 4321, "preview_token": "subprev_9c4b2f" }'{
"data": {
"id": 101,
"product_subscription_id": 55,
"subscription_id": "sub_1QwertyExample",
"action": "pause",
"status": "confirmed",
"provider": "stripe",
"customer_message": null,
"confirmed_at": "2026-07-03T12:00:00.000000Z",
"failed_at": null,
"created_at": "2026-07-03T12:00:00.000000Z",
"updated_at": "2026-07-03T12:00:00.000000Z"
},
"message": "Subscription plan change requested."
}